import { VxeUI } from "../../../@vxe-ui/core/es/index.esm.mjs";
import VxeBacktopComponent from "./src/backtop.mjs";
import { dynamicApp } from "../dynamics/index.mjs";
const VxeBacktop = Object.assign({}, VxeBacktopComponent, {
  install(app) {
    app.component(VxeBacktopComponent.name, VxeBacktopComponent);
  }
});
dynamicApp.use(VxeBacktop);
VxeUI.component(VxeBacktopComponent);
const Backtop = VxeBacktop;
export {
  Backtop,
  VxeBacktop,
  VxeBacktop as default
};
